Overview
GET/content/locations/{id}content

Get locations by id

Fetch a record from locations by id.

Auth: bearerAuth — calls run as the authenticated user.

Parameters
  • idpathstring
Responses
200

locations

  • idstring
  • customerIdstring
  • deletedAtstring?
  • ecosystemIdstring
  • ownerKindstring
  • ownerIdstring
  • placestring
  • regionstring
  • countrystring
  • startDatestring
  • endDatestring?
  • notesstring
  • createdAtstring
  • updatedAtstring
Example
{
  "id": "string",
  "customerId": "string",
  "deletedAt": "string",
  "ecosystemId": "string",
  "ownerKind": "string",
  "ownerId": "string",
  "place": "string",
  "region": "string",
  "country": "string",
  "startDate": "string",
  "endDate": "string",
  "notes": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
404

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/content/locations/{id}" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/locations/{id}", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();